> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Product List Share

> A `POST` to the `/profiles/{profile}/lists/{list}/shares` endpoint allows your application to create product list share.



## OpenAPI

````yaml post /v3/profiles/{profile}/lists/{list}/shares
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/lists/{list}/shares:
    post:
      tags:
        - Product List Share
      summary: Add Product List Share
      description: >-
        A `POST` to the `/profiles/{profile}/lists/{list}/shares` endpoint
        allows your application to create product list share.
      operationId: profiles.lists.shares.store
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: list
          in: path
          required: true
          description: The list ID
          schema:
            type: integer
      responses:
        '200':
          description: '`ProductListShare`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProductListShare'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ProductListShare:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        profile_id:
          type: string
        product_list_id:
          type: integer
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - profile_id
        - product_list_id
        - created_at
        - updated_at
      title: ProductListShare
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````